<div class="container mt-3 register">

    <div class="row">
        <div class="col-md-3 register-left">
            <img src="/assets/logo.png"  alt="" />
            <h3 >Application</h3>
            <p style="color:#fff !important">Website Management<br/> Employee </p>
            <a href="#">Website</a><br/>
        </div>
        <div class="col-md-9 register-right">
            @if (failed) {
            <div class="col-md-12" align="right">
                <ngb-toast class="bg bg-danger text-light" [autohide]="false">
                    Username Or Password is Wrong, Please Try Again.
                </ngb-toast>
            </div>
            }
            <form class="form" [formGroup]="form" (ngSubmit)="submit()">

            <div class="form-group">
                <div class="col-md-6 offset-md-4">
                &nbsp;
                </div>
            </div>

            <h3 class="register-heading">Login User</h3>
            
            <div class="form-group">
                <div class="col-md-8 offset-md2">
                    
                </div>  
            </div>
            
            <div class="form-group">
                <div class="col-md-8 offset-md-2">
                <p align="justify">Enter the registered username and password combination to enter the system. If you don't have an account, please register an account first. </p>
                </div>
            </div>

            <!-- <div class="form-group">
                <div class="col-md-8 col-md-offset-2 text-danger small">
                <p align="justify">Use your Username and Password for Acceess the website </p>
                </div>
            </div> -->
            <br/>
            <br/>
            <br/>
            
            <div class="form-group mb-4 row" >
                <label for="username" class="col-md-2 col-form-label offset-md-2 d-flex">Username</label>

                <div class="col-md-6">
                    <input type="text" class="form-control" id="username" formControlName="username">
                    <div *ngIf="f['username'].touched && f['username'].invalid" class="alert alert-danger mt-1">
                        <div *ngIf="f['username'].errors && f['username'].errors['required']">
                            Username is required
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group mb-4 row">
                <label for="password" class="col-md-2 col-form-label offset-md-2 d-flex">Password</label>

                <div class="col-md-6">
                    <input id="password" type="password" class="form-control" name="password" formControlName="password">
                    <div *ngIf="f['password'].touched && f['password'].invalid" class="alert alert-danger mt-1">
                        <div *ngIf="f['password'].errors && f['password'].errors['required']">
                            Password is required
                        </div>
                    </div>
                </div>
            </div>

            

            <!-- <div class="form-group">
                <div class="col-md-6 offset-md-4">
                    <div class="checkbox">
                        <label>
                            <input type="checkbox" name="remember"> Remember Me
                        </label>
                    </div>
                </div>
            </div> -->
            <div class="form-group">
                <div class="col-md-6 offset-md-4">
                &nbsp;
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-6 offset-md-4">

                    <button type="submit" class="btnRegister">
                        Login
                    </button>
                    <br/>
                    <br/>
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-6 offset-md-4">
                &nbsp;
                </div>
            </div>
            <div class="form-group">
                <div class="col-md-6 offset-md-4">
                &nbsp;
                </div>
            </div>
        </form>
        <br/>
        <br/>
        <br/>
        </div> <!-- register right -->
    </div>

</div>